import info.bix.tokai.bixpp.binding.BIXpp;
import info.bix.tokai.bixpp.io.BIXppIO;
import info.bix.tokai.bixpp.xml.XMLException;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;


public class Sample3 {

    public static void main(String[] args) {

        try {
            BIXpp bixpp;

            bixpp = BIXppIO.read(new File("spinach-j.xml"));

            System.out.println(bixpp.getProducer().getName());

            System.out.println(bixpp.getStart());

            System.out.println(bixpp.getRecordSet().getRecord(1).getItem(0)
                    .getValue());

        } catch (XMLException e) {
            e.printStackTrace();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }

    }

}
